%define ocamlpck  async_rpc_kernel

Name:          ocaml-async_rpc_kernel
Version:       0.16.0
Release:       1mamba
Summary:       Platform-independent core of Async RPC library
Group:         System/Libraries/OCaml
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/janestreet/async_rpc_kernel
Source:        https://github.com/janestreet/async_rpc_kernel.git/v%{version}/async_rpc_kernel-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ocaml
BuildRequires: ocaml-async_kernel-devel
BuildRequires: ocaml-base-devel
BuildRequires: ocaml-base_bigstring-devel
BuildRequires: ocaml-base_quickcheck-devel
BuildRequires: ocaml-bin_prot-devel
BuildRequires: ocaml-core-devel
BuildRequires: ocaml-core_kernel-devel
BuildRequires: ocaml-fieldslib-devel
BuildRequires: ocaml-int_repr-devel
BuildRequires: ocaml-parsexp-devel
BuildRequires: ocaml-ppx_assert-devel
BuildRequires: ocaml-ppx_bench-devel
BuildRequires: ocaml-ppx_compare-devel
BuildRequires: ocaml-ppx_enumerate-devel
BuildRequires: ocaml-ppx_expect-devel
BuildRequires: ocaml-ppx_hash-devel
BuildRequires: ocaml-ppx_here-devel
BuildRequires: ocaml-ppx_inline_test-devel
BuildRequires: ocaml-ppx_module_timer-devel
BuildRequires: ocaml-ppx_sexp_conv-devel
BuildRequires: ocaml-ppx_stable_witness-devel
BuildRequires: ocaml-protocol_version_header-devel
BuildRequires: ocaml-runtime
BuildRequires: ocaml-sexplib-devel
BuildRequires: ocaml-sexplib0-devel
BuildRequires: ocaml-splittable_random-devel
BuildRequires: ocaml-stdio-devel
BuildRequires: ocaml-typerep-devel
BuildRequires: ocaml-variantslib-devel
## AUTOBUILDREQ-END
BuildRequires: dune
BuildRequires: ocaml
BuildRequires: ocaml-findlib

%description
%{summary}.

%package devel
Group:         Development/Libraries/OCaml
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -n async_rpc_kernel-%{version}

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix "/usr" --libdir "%{_libdir}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.a
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc LICENSE*

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.mli

%changelog
* Sun Jul 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.0-1mamba
- package created using the webbuild interface
